package com.tzld.piaoquan.api.service.contentplatform;

import com.tzld.piaoquan.api.model.param.contentplatform.*;
import com.tzld.piaoquan.api.model.vo.contentplatform.GzhPlanItemVO;
import com.tzld.piaoquan.api.model.vo.contentplatform.QwPlanItemVO;
import com.tzld.piaoquan.api.model.vo.contentplatform.VideoContentItemVO;

import java.util.List;

public interface ContentPlatformPlanService {
    List<GzhPlanItemVO> gzhPlanList(GzhPlanListParam param);

    void gzhPlanSave(GzhPlanSaveParam param);

    List<VideoContentItemVO> getVideoContentList(VideoContentListParam param);

    List<String> getVideoContentCoverFrameList(VideoContentCoverFrameParam param);

    List<QwPlanItemVO> qwPlanList(QwPlanListParam param);

    void qwPlanSave(QwPlanSaveParam param);
}
